pydo.volume_actions.get()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.volume_actions.get(
    volume_id="7724db7c-e098-11e5-b522-000f53304e51",
    action_id=36804636,
    per_page=20,
    page=1,
)
Returns JSONRaises HttpResponseError

Description

To retrieve the status of a volume action, send a GET request to /v2/volumes/{volume_id}/actions/{action_id}.

Parameters

volume_id string required

The ID of the block storage volume.

action_id integer required

A unique numeric ID that can be used to identify and reference an action.

Min: 1

per_page integer optional

Number of items returned per page

Min: 1

Max: 200

Default: 20

page integer optional

Which 'page' of paginated results to return.

Min: 1

Default: 1

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.volume_actions.get(volume_id="7724db7c")

Response Example

Show Response Example
{
  "action": {
    "id": 72531856,
    "status": "completed",
    "type": "attach_volume",
    "started_at": "2020-11-12T17:51:03Z",
    "completed_at": "2020-11-12T17:51:14Z",
    "resource_type": "volume",
    "region": {
      "name": "New York 1",
      "slug": "nyc1",
      "sizes": [
        "s-1vcpu-1gb",
        "s-1vcpu-2gb",
        "s-1vcpu-3gb",
        "s-2vcpu-2gb",
        "s-3vcpu-1gb",
        "s-2vcpu-4gb",
        "s-4vcpu-8gb",
        "s-6vcpu-16gb",
        "s-8vcpu-32gb",
        "s-12vcpu-48gb",
        "s-16vcpu-64gb",
        "s-20vcpu-96gb",
        "s-24vcpu-128gb",
        "s-32vcpu-192gb"
      ],
      "features": [
        "private_networking",
        "backups",
        "ipv6",
        "metadata"
      ],
      "available": true
    },
    "region_slug": "nyc1"
  }
}

More Information

See /v2/volumes/{volume_id}/actions/{action_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.